[arch-commits] Commit in rt2x00-rt61-fw/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Mon Nov 23 15:55:56 EST 2009


    Date: Monday, November 23, 2009 @ 15:55:55
  Author: giovanni
Revision: 59431

upgpkg: rt2x00-rt61-fw 1.2-4
    Switched to arch any

Modified:
  rt2x00-rt61-fw/trunk/PKGBUILD

----------+
 PKGBUILD |   27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-11-23 20:55:25 UTC (rev 59430)
+++ PKGBUILD	2009-11-23 20:55:55 UTC (rev 59431)
@@ -1,18 +1,25 @@
 # $Id$
-# Maintainer: Tom Killian <tom at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=rt2x00-rt61-fw
 pkgver=1.2
-pkgrel=3
+pkgrel=4
 pkgdesc="Firmware for the rt2x00 wireless drivers"
-arch=(i686 x86_64)
-url="http://www.ralinktech.com/ralink/Home/Support/Linux.html"
-license=('RALINK')
-source=(http://www.ralinktech.com.tw/data/RT61_Firmware_V${pkgver}.zip)
+arch=('any')
+url="http://www.ralinktech.com/"
+license=('custom')
+depends=()
+source=(ftp://ftp.archlinux.org/other/rt2x00-rt61-fw/RT61_Firmware_V${pkgver}.zip)
+md5sums=('d4c690c93b470bc9a681297c2adc6281')
 
 build() {
-  cd $startdir/src/RT61_Firmware_V${pkgver}
-  mkdir -p $startdir/pkg/lib/firmware
-  install -m644 rt2* $startdir/pkg/lib/firmware || return 1
+  cd "${srcdir}/RT61_Firmware_V${pkgver}"
+  # Install firmware
+  for i in *.bin     
+  do                
+    install -D -m 644 $i "${pkgdir}/lib/firmware/$i" || return 1
+  done
+  # Install license
+  install -D -m 644 LICENSE.ralink-firmware.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }
-md5sums=('d4c690c93b470bc9a681297c2adc6281')



More information about the arch-commits mailing list